<webobject name = "InputHidden"></webobject>
<script type="text/javascript">
(function() {
    var idElement = '#<webobject name="IdElement"/>';
    var urlCallback = '<webobject name="UrlDataSource"/>';
    jQuery(idElement).select2({
            placeholder: '<webobject name="SearchText"/>',
            minimumInputLength: '<webobject name="MinimumInputLength"/>',
            ajax: {
                url: urlCallback,
                dataType: 'json',
                quietMillis: 250,
                data: function (term, page) {
                    return {
                        q: term, // search term
                        page_limit: 10,
                    };
                },
                results: function (data, page) { 
                    return {results: data};
                }
            },
            initSelection: function(element, callback) {
                // the input tag has a value attribute preloaded that points to a preselected movie's id
                // this function resolves that id attribute to an object that select2 can render
                // using its formatResult renderer - that way the movie name is shown preselected
                var id=jQuery(element).val();
                if (id!=="") {
                    jQuery.ajax(urlCallback, {
                        data: {
                            'initVal': id
                        },
                    }).done(function(data) { callback(data); });
                }
            }
    });
    
    // Lorsque la sélection change, on notifie le composant coté serveur
    jQuery(idElement).change(function(obj) { 
        jQuery.ajax({
            url: urlCallback,
            data: { 'val' : obj.val }
        }).always(function() { <webobject name="jsForUpdateConainterID"/> });
    });
    
    // Gestion du disabled
    <webobject name="Disabled">
        jQuery(idElement).select2("disable"); 
    </webobject>
}());
</script>